Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jest
Class ProcessingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.openjpa.persistence.jest.ProcessingException

All Implemented Interfaces:
  Serializable

    public class ProcessingException

extends RuntimeException

Specialized RuntimException thrown by JEST commands. The exception can be serialized to the output stream of a HTTP Servlet response as a HTML page.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Constructor Summary
`ProcessingException(JPAServletContext ctx, Localizer.Message message, int errorCode)`
`ProcessingException(JPAServletContext ctx, Throwable error)`
`ProcessingException(JPAServletContext ctx, Throwable error, int errorCode)`
`ProcessingException(JPAServletContext ctx, Throwable error, Localizer.Message message)`
`ProcessingException(JPAServletContext ctx, Throwable error, Localizer.Message message, int errorCode)`

Method Summary
`void` | `printStackTrace()` Prints the stack trace in a HTML format on the given response output stream.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessingException

    public ProcessingException(JPAServletContext ctx,
                               Throwable error)

### ProcessingException

    public ProcessingException(JPAServletContext ctx,
                               Throwable error,
                               int errorCode)

### ProcessingException

    public ProcessingException(JPAServletContext ctx,
                               Localizer.Message message,
                               int errorCode)

### ProcessingException

    public ProcessingException(JPAServletContext ctx,
                               Throwable error,
                               Localizer.Message message)

### ProcessingException

    public ProcessingException(JPAServletContext ctx,
                               Throwable error,
                               Localizer.Message message,
                               int errorCode)

Method Detail

### printStackTrace

    public void printStackTrace()

  Prints the stack trace in a HTML format on the given response output stream.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `response` -
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.